import { jsx as i } from "react/jsx-runtime";
import s from "prop-types";
import o from "../assets/locale.js";
import { useStateContext as c } from "../contexts/state.js";
import a from "./action-button.js";
function p({ onClick: t, ...r }) {
  const { locale: n } = c(), e = o[n] || o.en;
  return /* @__PURE__ */ i(
    a,
    {
      onClick: t,
      sx: {
        color: "text.secondary"
      },
      ...r,
      children: e.back
    }
  );
}
p.propTypes = {
  onClick: s.func.isRequired
};
export {
  p as default
};
